> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/shipping-in-api/mark-orders-as-shipped.md).

# Mark orders as shipped

Use **markShipped** to programmatically confirm the delivery of an order with physical products.

## Requirements

You can confirm the shipment only for orders with tangible products. You cannot mark as shipped orders that are no longer authorized (have been reversed).

## Request parameters

| Parameters                   | Type / Description                                                                                                                                                                         |
| ---------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| **RefNo**                    | <p><strong>String / Required</strong><br>The system-generated order reference.</p>                                                                                                         |
| **TrackingNumber**           | <p><strong>String / Optional</strong><br>Tracking number that customers can use for checking the delivery of their products.</p>                                                           |
| **Comment**                  | <p><strong>String / Optional</strong><br>Additional information displayed in the delivery confirmation email sent to end-users.</p>                                                        |
| **StopCustomerNotification** | <p><strong>Boolean / Optional</strong><br>Possible values:<br>- TRUE - to send a notice informing customers of product shipment.<br>- FALSE - will not trigger a customer notification</p> |

### Request sample

```php
require('PATH_TO_AUTH');

$RefNo = "789527422";
$TrackingNumber = '921840912';
$StopCustomerNotification = 1;
$Comment = "We send this note to confirm the shipment of your products.";

try {
    $markOrderAsShipped = $client->markShipped($sessionID, $RefNo, $TrackingNumber, $StopCustomerNotification, $Comment);
}
catch (SoapFault $e) {
    echo "OrderShipped: " . $e->getMessage();
    exit;
}
var_dump("OrderShipped", $markOrderAsShipped);
```

### Response sample

```
boolean
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/shipping-in-api/mark-orders-as-shipped.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
